Name:           commissaire-client
Version:        0.0.6
Release:        3%{?dist}
Summary:        CLI for Commissaire
License:        LGPLv2+
URL:            http://github.com/projectatomic/commctl
Source0:        https://github.com/projectatomic/commctl/archive/%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python3-devel

# For tests
BuildRequires:  python3-coverage
BuildRequires:  python3-mock
BuildRequires:  python3-nose
BuildRequires:  python3-flake8

Requires:       python3-setuptools
Requires:       python3-bcrypt
Requires:       python3-PyYAML

Provides:       commctl

%description
Command line tools for Commissaire.

%prep
%autosetup -n commctl-%{version}


%build
%py3_build

%install
%py3_install

%check
# XXX: Issue with the coverage module.
#%{__python3} setup.py nosetests


%files
%license COPYING
%doc README.md
%doc CONTRIBUTORS
%doc MAINTAINERS
%{_bindir}/commctl
%{python3_sitelib}/*


%changelog
* Wed Aug 09 2017 Gwyn Ciesla <limburgher@gmail.com> - 0.0.6-3
- Switch to python-bcrypt, BZ 1473018.

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Tue Jun 27 2017 Matthew Barnes <mbarnes@redhat.com> - 0.0.6-1
- New upstream release 0.0.6

* Fri May 26 2017 Matthew Barnes <mbarnes@redhat.com> - 0.0.5-1
- New upstream release 0.0.5

* Wed Apr 26 2017 Matthew Barnes <mbarnes@redhat.com> - 0.0.4-1
- New upstream release 0.0.4

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 0.0.1-2
- Rebuild for Python 3.6

* Fri Aug 26 2016 Steve Milner <smilner@redhat.com> - 0.0.1
- Updated for 0.0.1.

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.1-0.4.rc3
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Mon Jun 06 2016 Matthew Barnes <mbarnes@redhat.com> - 0.0.1-0.3.rc3
- Switch to python3.
- Move pre-release indicator ('rc3') to Release tag for compliance with
  packaging guidelines.

* Thu Jun 02 2016 Matthew Barnes <mbarnes@redhat.com> - 0.0.1rc3-2
- Add Provides: commctl

* Wed Apr 20 2016 Matthew Barnes <mbarnes@redhat.com> - 0.0.1rc3-1
- Update for RC3.

* Wed Apr 20 2016 Matthew Barnes <mbarnes@redhat.com> - 0.0.1rc2-6
- commissaire-hashpass is now 'commctl create passhash'.

* Mon Apr  4 2016 Steve Milner <smilner@redhat.com> - 0.0.1rc2-5
- commctl and commissaire-hash-pass are now their own package.
